### Method

# Adw PropertyAnimationTarget get_object

since: 1.2

#### Declaration [src]

    GObject*
    adw_property_animation_target_get_object (
      AdwPropertyAnimationTarget* self
    )

#### Description [src]

Gets the object animated by `self`.

The `AdwPropertyAnimationTarget` instance does not hold a strong reference on the object; make sure the object is kept alive throughout the target’s lifetime.

Available since: 1.2

Gets property | `Adw.PropertyAnimationTarget:object`

#### Return value

Type: `GObject`

The animated object.

The data is owned by the instance.